Bug 1273543 - [abrt] qt5-qtdeclarative-devel: QMessageLogger::fatal(char const*, ...) const(): qmlplugindump killed by SIGABRT
[abrt] qt5-qtdeclarative-devel: QMessageLogger::fatal(char const*, ...) const...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt5-qtdeclarative (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:92ff625c60e6717ef838a9184e7...
:
: 1310085 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 12:20 EDT by Germano Massullo
Modified: 2016-07-19 14:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:16:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.34 KB, text/plain)
2015-10-20 12:20 EDT, Germano Massullo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-20 12:20 EDT, Germano Massullo
no flags Details
File: core_backtrace (3.71 KB, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: dso_list (11.27 KB, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: environ (1.83 KB, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: maps (49.24 KB, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: mountinfo (3.04 KB, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: open_fds (314 bytes, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details
File: var_log_messages (565 bytes, text/plain)
2015-10-20 12:21 EDT, Germano Massullo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-51135 None None None 2016-02-15 05:44 EST

  None (edit)
Description Germano Massullo 2015-10-20 12:20:51 EDT
Description of problem:
I was using qtcreator when I got this message

Version-Release number of selected component:
qt5-qtdeclarative-devel-5.5.0-3.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/lib64/qt5/bin/qmlplugindump -nonrelocatable org.kde.kwin.decoration 0.1 /usr/lib64/qt5/qml
crash_function: QMessageLogger::fatal(char const*, ...) const
executable:     /usr/lib64/qt5/bin/qmlplugindump
global_pid:     13048
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 QMessageLogger::fatal(char const*, ...) const at global/qlogging.cpp:1575
 #4 QWidgetPrivate::init(QWidget*, QFlags<Qt::WindowType>) at kernel/qwidget.cpp:1109
 #5 QDialog::QDialog(QWidget*, QFlags<Qt::WindowType>) at dialogs/qdialog.cpp:324
 #6 KIconDialog::KIconDialog(QWidget*) at ../../src/kicondialog.cpp:257
 #7 IconDialog::IconDialog(QObject*) at ../../../../src/qmlcontrols/kquickcontrolsaddons/icondialog.cpp:34
 #8 QQmlPrivate::createInto<IconDialog>(void*) at /usr/include/qt5/QtQml/qqmlprivate.h:93
 #10 QQmlType::create() const at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/qml/qqmlmetatype.cpp:712
 #11 collectReachableMetaObjects(QQmlEngine*, QSet<QMetaObject const*>&, QSet<QMetaObject const*>&, QList<QQmlType*> const&) at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/tools/qmlplugindump/main.cpp:310
 #12 main(int, char**) at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/tools/qmlplugindump/main.cpp:1063
Comment 1 Germano Massullo 2015-10-20 12:20:58 EDT
Created attachment 1084814 [details]
File: backtrace
Comment 2 Germano Massullo 2015-10-20 12:20:59 EDT
Created attachment 1084815 [details]
File: cgroup
Comment 3 Germano Massullo 2015-10-20 12:21:00 EDT
Created attachment 1084816 [details]
File: core_backtrace
Comment 4 Germano Massullo 2015-10-20 12:21:02 EDT
Created attachment 1084818 [details]
File: dso_list
Comment 5 Germano Massullo 2015-10-20 12:21:04 EDT
Created attachment 1084819 [details]
File: environ
Comment 6 Germano Massullo 2015-10-20 12:21:05 EDT
Created attachment 1084820 [details]
File: limits
Comment 7 Germano Massullo 2015-10-20 12:21:08 EDT
Created attachment 1084821 [details]
File: maps
Comment 8 Germano Massullo 2015-10-20 12:21:10 EDT
Created attachment 1084822 [details]
File: mountinfo
Comment 9 Germano Massullo 2015-10-20 12:21:12 EDT
Created attachment 1084823 [details]
File: namespaces
Comment 10 Germano Massullo 2015-10-20 12:21:14 EDT
Created attachment 1084824 [details]
File: open_fds
Comment 11 Germano Massullo 2015-10-20 12:21:16 EDT
Created attachment 1084825 [details]
File: proc_pid_status
Comment 12 Germano Massullo 2015-10-20 12:21:18 EDT
Created attachment 1084826 [details]
File: var_log_messages
Comment 13 Kevin Kofler 2015-10-22 19:35:37 EDT
"QWidget: Cannot create a QWidget without QApplication"

So it looks like qmlplugindump creates only a QGuiApplication or even QCoreApplication, but the kquickcontrolsaddons plugin wants to create widgets.
Comment 14 Germano Massullo 2015-10-27 06:48:00 EDT
Another user experienced a similar problem:

In Qt Creator I selected File → New File or Project → Qt Quick Project → Qt Quick UI
and after a few seconds I got this crash

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/lib64/qt5/bin/qmlplugindump -nonrelocatable org.kde.kquickcontrolsaddons 2.0 /usr/lib64/qt5/qml
crash_function: QMessageLogger::fatal(char const*, ...) const
executable:     /usr/lib64/qt5/bin/qmlplugindump
global_pid:     19089
kernel:         4.2.3-200.fc22.x86_64
package:        qt5-qtdeclarative-devel-5.5.0-3.fc22
reason:         qmlplugindump killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Ngo Than 2016-02-15 10:37:26 EST
In reply to Germano Massullo from comment #14)
> Another user experienced a similar problem:
> 
> In Qt Creator I selected File → New File or Project → Qt Quick Project → Qt
> Quick UI
> and after a few seconds I got this crash
> 
> reporter:       libreport-2.6.2
> backtrace_rating: 4
> cmdline:        /usr/lib64/qt5/bin/qmlplugindump -nonrelocatable
> org.kde.kquickcontrolsaddons 2.0 /usr/lib64/qt5/qml
> crash_function: QMessageLogger::fatal(char const*, ...) const
> executable:     /usr/lib64/qt5/bin/qmlplugindump
> global_pid:     19089
> kernel:         4.2.3-200.fc22.x86_64
> package:        qt5-qtdeclarative-devel-5.5.0-3.fc22
> reason:         qmlplugindump killed by SIGABRT
> runlevel:       N 5
> type:           CCpp
> uid:            1000

i cannot reproduce this crash with the latest qt5-*-5.5.1. Could you please update to latest qt5* and try again if it works for you?

Thanks
Comment 16 Germano Massullo 2016-02-19 07:18:59 EST
*** Bug 1310085 has been marked as a duplicate of this bug. ***
Comment 17 Germano Massullo 2016-02-19 07:19:20 EST
(In reply to Ngo Than from comment #15)
> i cannot reproduce this crash with the latest qt5-*-5.5.1. Could you please
> update to latest qt5* and try again if it works for you?

I can reproduce the bug
Comment 18 Ngo Than 2016-02-19 08:58:04 EST
have you updated qt5* to latest version? It's strange why it doesn't work for you!
could you please attach the backtrace and the output of "rpm -qa | grep qt5" ?

Thanks
Comment 19 Germano Massullo 2016-02-19 09:11:59 EST
(In reply to Ngo Than from comment #18)
> have you updated qt5* to latest version? It's strange why it doesn't work
> for you!
> could you please attach the backtrace and the output of "rpm -qa | grep qt5"
> ?
> 
> Thanks

# rpm -qa | grep qt5 | sort
dbusmenu-qt5-0.9.3-0.10.20150604.fc23.x86_64
libaccounts-qt5-1.13-7.fc23.x86_64
libkscreen-qt5-5.5.4-1.fc23.x86_64
libkscreen-qt5-debuginfo-5.5.4-1.fc23.x86_64
marble-widget-qt5-15.12.1-1.fc23.x86_64
phonon-qt5-4.8.3-7.fc23.x86_64
phonon-qt5-backend-gstreamer-4.8.2-5.fc23.x86_64
polkit-qt5-1-0.112.0-5.fc23.x86_64
poppler-qt5-0.34.0-1.fc23.x86_64
qca-qt5-2.1.1-2.fc23.x86_64
qca-qt5-ossl-2.1.1-2.fc23.x86_64
qt5-designer-5.5.1-2.fc23.x86_64
qt5-linguist-5.5.1-2.fc23.x86_64
qt5-qdoc-5.5.1-11.fc23.x86_64
qt5-qhelpgenerator-5.5.1-2.fc23.x86_64
qt5-qtbase-5.5.1-11.fc23.x86_64
qt5-qtbase-common-5.5.1-11.fc23.noarch
qt5-qtbase-debuginfo-5.5.1-11.fc23.x86_64
qt5-qtbase-devel-5.5.1-11.fc23.x86_64
qt5-qtbase-gui-5.5.1-11.fc23.x86_64
qt5-qtdeclarative-5.5.1-4.fc23.x86_64
qt5-qtdeclarative-debuginfo-5.5.1-4.fc23.x86_64
qt5-qtdeclarative-devel-5.5.1-4.fc23.x86_64
qt5-qtdoc-5.5.1-2.fc23.noarch
qt5-qtgraphicaleffects-5.5.1-2.fc23.x86_64
qt5-qtlocation-5.5.1-2.fc23.x86_64
qt5-qtlocation-debuginfo-5.5.1-2.fc23.x86_64
qt5-qtmultimedia-5.5.1-4.fc23.x86_64
qt5-qtquickcontrols-5.5.1-2.fc23.x86_64
qt5-qtquickcontrols-debuginfo-5.5.1-2.fc23.x86_64
qt5-qtscript-5.5.1-2.fc23.x86_64
qt5-qtscript-debuginfo-5.5.1-2.fc23.x86_64
qt5-qtsensors-5.5.1-2.fc23.x86_64
qt5-qtsensors-debuginfo-5.5.1-2.fc23.x86_64
qt5-qtsvg-5.5.1-2.fc23.x86_64
qt5-qtsvg-debuginfo-5.5.1-2.fc23.x86_64
qt5-qttools-5.5.1-2.fc23.x86_64
qt5-qttools-common-5.5.1-2.fc23.noarch
qt5-qttools-debuginfo-5.5.1-2.fc23.x86_64
qt5-qttools-devel-5.5.1-2.fc23.x86_64
qt5-qttools-libs-clucene-5.5.1-2.fc23.x86_64
qt5-qttools-libs-designer-5.5.1-2.fc23.x86_64
qt5-qttools-libs-designercomponents-5.5.1-2.fc23.x86_64
qt5-qttools-libs-help-5.5.1-2.fc23.x86_64
qt5-qttranslations-5.5.1-2.fc23.noarch
qt5-qtwebkit-5.5.1-4.fc23.x86_64
qt5-qtwebkit-debuginfo-5.5.1-4.fc23.x86_64
qt5-qtx11extras-5.5.1-2.fc23.x86_64
qt5-qtx11extras-debuginfo-5.5.1-2.fc23.x86_64
qt5-qtxmlpatterns-5.5.1-2.fc23.x86_64
qt5-qtxmlpatterns-debuginfo-5.5.1-2.fc23.x86_64
qtkeychain-qt5-0.5.0-1.fc23.x86_64
qtlockedfile-qt5-2.4-20.20150629git5a07df5.fc23.x86_64
qtsingleapplication-qt5-2.6.1-26.fc23.x86_64
quazip-qt5-0.7.1-3.fc23.x86_64
telepathy-qt5-0.9.6.1-1.fc23.x86_64
Comment 20 Fedora End Of Life 2016-07-19 14:16:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.